function [f,g] = colon_cancer(x, S)
persistent F G;
if isempty(F) || isempty(G)
load('tanhEnv', 'colon_cancer_f', 'colon_cancer_g');
F = colon_cancer_f; G = colon_cancer_g;
end
f = F(x,S);
if nargout > 1
g = G(x,S);
end
end
